#/bin/bash

# prepating connection parameters
JAVA_RUN="java -Xmx4g -cp xpologClient.jar com.xpolog.sdk.client.XpoLogSDKClient"
XPOLOG_CONN="-xpologURL http://XPOLOG_IP:XPOLOG_PORT/logeye -user XPLG_USER -password XPLG_PASSWORD"

# applying a patch
$JAVA_RUN $XPOLOG_CONN -api addPatch -type api -files PATCH_NAME.zip

if [ "$?" != "0" ];then 
   echo "Exit with error"
   exit 1
fi

echo "API completed successully"
exit 0
